Get location attribute by code - Fabric
Get location attribute by code
cURL
curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/location/attribute/{code} \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'
Python
import requests
url = "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "GET",\
CURLOPT_HTTPHEADER => [\
"Authorization: Bearer <token>",\
"x-site-context: <x-site-context>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-site-context", "<x-site-context>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Unirest (Java)
HttpResponse<String> response = Unirest.get("https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}")
.header("x-site-context", "<x-site-context>")
.header("Authorization", "Bearer <token>")
.asString();
Ruby
require 'uri'
require 'net/http'
url = URI("https://prod01.oms.fabric.inc/api/v2/location/attribute/{code}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-site-context"] = '<x-site-context>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body
Response Codes
- 200: Successful request
- 400: Bad request
- 404: Resource not found
- 500: Internal server error
Example Response
{
"id": "622786ae0bdb19221a24fb61",
"code": "isBopis",
"name": "Is Bopis",
"description": "To check the status of the BOPIS (Buy-Online_Pickup-In-Store)",
"required": true
}
Error Responses
{
"message": "Invalid payload or parameter"
}
{
"message": "Resource not found. If the issue persists please contact support@fabric.inc."
}
{
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}
Authorizations
Authorization
- Type: string
- Location: header
- Required: Yes
- Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.
Headers
x-site-context
- Type: string
- Required: Yes
- The
x-site-context header containing information about the source, including the account identifier, channel, stage, and date attributes.